<?xml version="1.0" encoding="utf-8"?>

<list>
  <item type="dictionary">
    <dictionary>
      <item key="key"><![CDATA[ZMSCode]]></item>
      <item key="value" type="dictionary">
        <dictionary>
          <item key="__obj_attrs__" type="list">
            <list>
              <item type="dictionary">
                <dictionary>
                  <item key="custom"><![CDATA[icon-code]]></item>
                  <item key="id"><![CDATA[icon_clazz]]></item>
                  <item key="mandatory" type="int">0</item>
                  <item key="multilang" type="int">1</item>
                  <item key="name"><![CDATA[Icon (Class)]]></item>
                  <item key="repetitive" type="int">0</item>
                  <item key="type"><![CDATA[constant]]></item>
                </dictionary>
              </item>
              <item type="dictionary">
                <dictionary>
                  <item key="id"><![CDATA[content_type]]></item>
                  <item key="keys" type="list">
                    <list>
                      <item><![CDATA[css]]></item>
                      <item><![CDATA[html]]></item>
                      <item><![CDATA[js]]></item>
                      <item><![CDATA[java]]></item>
                      <item><![CDATA[python]]></item>
                      <item><![CDATA[xml]]></item>
                    </list>
                  </item>
                  <item key="mandatory" type="int">1</item>
                  <item key="multilang" type="int">0</item>
                  <item key="name"><![CDATA[Content-Type]]></item>
                  <item key="repetitive" type="int">0</item>
                  <item key="type"><![CDATA[select]]></item>
                </dictionary>
              </item>
              <item type="dictionary">
                <dictionary>
                  <item key="id"><![CDATA[text]]></item>
                  <item key="mandatory" type="int">1</item>
                  <item key="multilang" type="int">0</item>
                  <item key="name"><![CDATA[Text]]></item>
                  <item key="repetitive" type="int">0</item>
                  <item key="type"><![CDATA[text]]></item>
                </dictionary>
              </item>
              <item type="dictionary">
                <dictionary>
                  <item key="custom" type="file">
                    
<data content_type="application/octet-stream" filename="" type="file">[encoded data, 80218 characters]</data>
                  </item>
                  <item key="id"><![CDATA[com_zms_syntaxhighlight]]></item>
                  <item key="mandatory" type="int">0</item>
                  <item key="multilang" type="int">0</item>
                  <item key="name"><![CDATA[Lib-Folder]]></item>
                  <item key="repetitive" type="int">0</item>
                  <item key="type"><![CDATA[Folder]]></item>
                </dictionary>
              </item>
              <item type="dictionary">
                <dictionary>
                  <item key="custom"><![CDATA[<!-- ZMSCode.standard_html -->

<tal:block tal:define="global
		zmscontext options/zmscontext">
	<tal:block tal:condition="not:python:'ZMSCode.standard_html' in request">
		<script type="text/javascript" tal:attributes="src python:'%s/com_zms_syntaxhighlight/scripts/shCore.js'%zmscontext.getHome().absolute_url()"></script>
		<script type="text/javascript" tal:attributes="src python:'%s/com_zms_syntaxhighlight/scripts/shBrushCss.js'%zmscontext.getHome().absolute_url()"></script>
		<script type="text/javascript" tal:attributes="src python:'%s/com_zms_syntaxhighlight/scripts/shBrushJava.js'%zmscontext.getHome().absolute_url()"></script>
		<script type="text/javascript" tal:attributes="src python:'%s/com_zms_syntaxhighlight/scripts/shBrushJScript.js'%zmscontext.getHome().absolute_url()"></script>
		<script type="text/javascript" tal:attributes="src python:'%s/com_zms_syntaxhighlight/scripts/shBrushPython.js'%zmscontext.getHome().absolute_url()"></script>
		<script type="text/javascript" tal:attributes="src python:'%s/com_zms_syntaxhighlight/scripts/shBrushXml.js'%zmscontext.getHome().absolute_url()"></script>
		<link rel="stylesheet" tal:attributes="href python:'%s/com_zms_syntaxhighlight/styles/shCore.css'%zmscontext.getHome().absolute_url()"/>
		<link rel="stylesheet" tal:attributes="href python:'%s/com_zms_syntaxhighlight/styles/shThemeDefault.css'%zmscontext.getHome().absolute_url()"/>
	<tal:block tal:content="structure python:'<script>'"></tal:block>
	function pluginSyntaxhighlight(s, c) {
		$.plugin('syntaxhighlight',{
			files: [
					'<tal:block tal:content="python:'%s/com_zms_syntaxhighlight/scripts/shCore.js'%zmscontext.getHome().absolute_url()"></tal:block>',
					'<tal:block tal:content="python:'%s/com_zms_syntaxhighlight/scripts/shBrushCss.js'%zmscontext.getHome().absolute_url()"></tal:block>',
					'<tal:block tal:content="python:'%s/com_zms_syntaxhighlight/scripts/shBrushJava.js'%zmscontext.getHome().absolute_url()"></tal:block>',
					'<tal:block tal:content="python:'%s/com_zms_syntaxhighlight/scripts/shBrushJScript.js'%zmscontext.getHome().absolute_url()"></tal:block>',
					'<tal:block tal:content="python:'%s/com_zms_syntaxhighlight/scripts/shBrushPython.js'%zmscontext.getHome().absolute_url()"></tal:block>',
					'<tal:block tal:content="python:'%s/com_zms_syntaxhighlight/scripts/shBrushXml.js'%zmscontext.getHome().absolute_url()"></tal:block>',
					'<tal:block tal:content="python:'%s/com_zms_syntaxhighlight/styles/shCore.css'%zmscontext.getHome().absolute_url()"></tal:block>',
					'<tal:block tal:content="python:'%s/com_zms_syntaxhighlight/styles/shCoreDefault.css'%zmscontext.getHome().absolute_url()"></tal:block>',
					'<tal:block tal:content="python:'%s/com_zms_syntaxhighlight/styles/shThemeDefault.css'%zmscontext.getHome().absolute_url()"></tal:block>']
			});
		$.plugin('syntaxhighlight').get(s,function(){
				c();
			});
	}
	$(function() {
			SyntaxHighlighter.all();
		});
	<tal:block tal:content="structure python:'</script>'"></tal:block>
	</tal:block>

	<pre tal:attributes="class python:'brush:%s'%zmscontext.attr('content_type')" tal:content="python:zmscontext.attr('text')">the text</pre>
	<tal:block tal:define="dummy0 python:request.set('ZMSCode.standard_html',True)"></tal:block>
</tal:block>

<!-- /ZMSCode.standard_html -->]]>
                  </item>
                  <item key="id"><![CDATA[standard_html]]></item>
                  <item key="mandatory" type="int">0</item>
                  <item key="multilang" type="int">0</item>
                  <item key="name"><![CDATA[Template: Code]]></item>
                  <item key="repetitive" type="int">0</item>
                  <item key="type"><![CDATA[zpt]]></item>
                </dictionary>
              </item>
            </list>
          </item>
          <item key="access" type="dictionary">
            <dictionary>
              <item key="delete" type="list">
                <list>
                  <item><![CDATA[ZMSAdministrator]]></item>
                  <item><![CDATA[ZMSAuthor]]></item>
                  <item><![CDATA[ZMSEditor]]></item>
                </list>
              </item>
              <item key="delete_custom"></item>
              <item key="insert" type="list">
                <list>
                  <item><![CDATA[ZMSAdministrator]]></item>
                  <item><![CDATA[ZMSAuthor]]></item>
                  <item><![CDATA[ZMSEditor]]></item>
                </list>
              </item>
              <item key="insert_custom"><![CDATA[{$}]]></item>
            </dictionary>
          </item>
          <item key="enabled" type="int">1</item>
          <item key="id"><![CDATA[ZMSCode]]></item>
          <item key="name"><![CDATA[Code]]></item>
          <item key="package"><![CDATA[com.zms.syntaxhighlight]]></item>
          <item key="revision"><![CDATA[0.0.0]]></item>
          <item key="type"><![CDATA[ZMSObject]]></item>
        </dictionary>
      </item>
    </dictionary>
  </item>
  <item type="dictionary">
    <dictionary>
      <item key="key"><![CDATA[com.zms.syntaxhighlight]]></item>
      <item key="value" type="dictionary">
        <dictionary>
          <item key="__obj_attrs__" type="list">
            <list>
            </list>
          </item>
          <item key="enabled" type="int">1</item>
          <item key="id"><![CDATA[com.zms.syntaxhighlight]]></item>
          <item key="name"><![CDATA[com.zms.syntaxhighlight]]></item>
          <item key="package"></item>
          <item key="revision"><![CDATA[0.0.0]]></item>
          <item key="type"><![CDATA[ZMSPackage]]></item>
        </dictionary>
      </item>
    </dictionary>
  </item>
</list>